import dynamix_sdk.base as _base


class CloudapiComputeMigrateToZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeMigrateToZoneProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_to_zone(
        self,
        *,
        vm_id: int,
        zone_id: int,
    ) -> CloudapiComputeMigrateToZoneResultBool:
        ...
